* {
    font-family: "Roboto", sans-serif;
}

body {
    margin: 0px;
}

header {
    min-height: 75px;
    text-align: center;
    background-color: black;
    margin-bottom: 20px;
}

h1 {
    margin: 0px;
    color: white;
    padding: 25px 0px;
}

main {
    display: flex;
    margin: 0% 25%;
}

#colores div, .bolas div, #input_bolas div {
    border-radius: 50px;
    width: 32px;
    height: 32px;
    margin: 10px 0px;
    border: 1px solid black;
}

.resultado div {
    border-radius: 50px;
    width: 16px;
    height: 16px;
    margin: 5px;
    border: 1px solid black;
}

#principal {
    flex: 9;
    background-color: #e9e9e9;
    display: flex;
    flex-direction: column;
}

#colores {
    flex: 1;
    background-color: #bdbdbd;
    width: 0;
    display: flex;
    margin-left: 10px;
    flex-direction: column;
    align-items: center;
}

.rojo {
    background-color: #ff5e5e;
}

.blanco {
    background-color: #ffffff;
}

.negro {
    background-color: #000000;
}

.amarillo {
    background-color: #fffc5e;
}

.naranja {
    background-color: #ffa75e;
}

.marron {
    background-color: #b86e29;
}

.azul {
    background-color: #5ec4ff;
}

.verde {
    background-color: #b4ff5e;
}

#input {
    flex: 1;
    display: flex;
    flex-direction: row;
    justify-content: space-between;
    align-items: center;
    margin: 15px;
    background-color: #bdbdbd;
}

.bolas {
    display: flex;
    flex-direction: row;
}

.resultado {
    display: flex;
    align-items: center;
    margin-left: 15px;
}

#intentos {
    overflow-y: scroll;
    height: 800px;
}

.intento {
    margin: 15px 15px 0px 15px;
    background-color: #bdbdbd;
    display: flex;
}

#input_bolas {
    display: flex;
    flex-direction: row;
}

#input_comprobar {
    margin: 10px;
}

#input_comprobar:hover, #colores div:hover {
    transform: scale(1.10);
}

#input_bolas div, .bolas div {
    margin: 10px;
}

#ganar {
    display: none;
    text-align: center;
    padding: 50px;
    background-color: #bdbdbd;
    border: 1px solid black;
    border-radius: 5%;
    position: absolute;
    top: 25%;
    left: 41%;
}
